""" This modules creates the cStackMod """
import sys
from distutils.core import setup, Extension

macros = []
if len(sys.argv) > 2:
	macros=[(sys.argv[2],1)]
	sys.argv.pop(2)

stackmodule = Extension('cStackMod', 
			define_macros = macros,
			include_dirs = [],
			libraries = [],
			library_dirs = [],
			sources = ['stackmodule.c'],
                        extra_compile_args = ['-Werror', '-Wall', '-Wno-unused-parameter']
                        )

setup (	name = 'cStackMod',
	version = '1.0',
	description = 'Stack-Implementation (Extension Module)',
	author = 'Sascha Wille',
	author_email = 'inf6201@fh-wedel.de',
	url = 'http://www.fh-wedel.de/stud/inf6201',
	ext_modules = [stackmodule]
)
